/* Wipes a test partition (here N:), creates 3 directories &
   places the requested number of files with very long names
   in one of the directories. THIS PROGRAM WILL AUTOMATICALLY
   REFORMAT THE TEST PARTION SO BE SURE THAT'S WHAT YOU WANT.
*/

 EXIT  /* Delete this safety line after you have set up the
          correct drive letter in the FORMAT command line */

ARG numOfFiles .
'@echo off'
'setlocal'  /* Preserve orig drv & dir. Exiting returns there */
'echo y | format n: /l /fs:hpfs' /* Requires no keystrokes */
'md n:\directoryname1'
'md n:\directoryname3'
'md n:\directoryname2' /*"Out of sequence" directory creation*/
'n:'
'cd\directoryname1'

DO x = 1 TO numOfFiles
   CALL Stream Pad(x), 'c', 'open'    /* Create file */
   CALL Stream Pad(x), 'c', 'close'
END

/* Deduce the B-tree layout with ShowBtree.cmd and send its  
   output to a LIST-type program running in STDIN mode */
'd:\hpfs4\showbtree n: | list /s'
EXIT     /***********************************************/

Pad:   /* Generate a very long constant-length filename */
RETURN Copies('a',228)||'Testfile'||Right('0000'||x,5)
